Index: src/sdk/globals.cpp
===================================================================
--- src/sdk/globals.cpp	(revision 1964)
+++ src/sdk/globals.cpp	(arbetskopia)
@@ -34,6 +34,7 @@
     #include "globals.h"
     #include <wx/filename.h>
     #include <wx/file.h>
+    #include <wx/image.h>
     #include "cbexception.h"
 #endif
 
Index: src/sdk/editorconfigurationdlg.cpp
===================================================================
--- src/sdk/editorconfigurationdlg.cpp	(revision 1964)
+++ src/sdk/editorconfigurationdlg.cpp	(arbetskopia)
@@ -47,6 +47,7 @@
 #include <wx/fontmap.h>
 #include <wx/textctrl.h>
 #include <wx/listbook.h>
+#include <wx/listctrl.h>
 
 #include "editorcolorset.h"
 #include "editorconfigurationdlg.h"
Index: src/sdk/blockallocated.h
===================================================================
--- src/sdk/blockallocated.h	(revision 1964)
+++ src/sdk/blockallocated.h	(arbetskopia)
@@ -83,9 +83,9 @@
     ~BlockAllocator()
     {
         if(debug)
-            BlkAllc::DebugLog(_U(typeid(T).name()), allocBlocks.size(), pool_size, max_refs, total_refs, ref_count);
+            BlkAllc::DebugLog(cbC2U(typeid(T).name()), allocBlocks.size(), pool_size, max_refs, total_refs, ref_count);
         else if(BlkAllc::enable_global_debug && (BlkAllc::verbose || ref_count != 0))
-            BlkAllc::DebugLog(_U(typeid(T).name()), allocBlocks.size(), pool_size, max_refs, total_refs, ref_count);
+            BlkAllc::DebugLog(cbC2U(typeid(T).name()), allocBlocks.size(), pool_size, max_refs, total_refs, ref_count);
 
         for(unsigned int i = 0; i < allocBlocks.size(); ++i)
             delete[] allocBlocks[i];
Index: src/sdk/propgrid/src/propgrid/odcombo.cpp
===================================================================
--- src/sdk/propgrid/src/propgrid/odcombo.cpp	(revision 1964)
+++ src/sdk/propgrid/src/propgrid/odcombo.cpp	(arbetskopia)
@@ -37,6 +37,7 @@
     #include "wx/textctrl.h"
     #include "wx/dcclient.h"
     #include "wx/settings.h"
+    #include "wx/dialog.h"
 
 #endif
 
Index: src/sdk/propgrid/src/propgrid/propgrid.cpp
===================================================================
--- src/sdk/propgrid/src/propgrid/propgrid.cpp	(revision 1964)
+++ src/sdk/propgrid/src/propgrid/propgrid.cpp	(arbetskopia)
@@ -5891,6 +5891,8 @@
 
         Refresh();
     }
+
+    return res;
 #else
     // ** wxMAC Only **
     // TODO: Remove after SetFont crash fixed.
@@ -5900,8 +5902,6 @@
     }
     return false;
 #endif
-
-    return res;
 }
 
 // -----------------------------------------------------------------------
Index: src/sdk/projectoptionsdlg.cpp
===================================================================
--- src/sdk/projectoptionsdlg.cpp	(revision 1964)
+++ src/sdk/projectoptionsdlg.cpp	(arbetskopia)
@@ -30,6 +30,7 @@
     #include "manager.h"
     #include "pluginmanager.h"
     #include "projectmanager.h"
+    #include "scriptingmanager.h"
     #include "compilerfactory.h"
     #include "globals.h"
 
Index: src/src/environmentsettingsdlg.cpp
===================================================================
--- src/src/environmentsettingsdlg.cpp	(revision 1964)
+++ src/src/environmentsettingsdlg.cpp	(arbetskopia)
@@ -17,6 +17,7 @@
 #include <pluginmanager.h>
 #include <wx/intl.h>
 #include <wx/listbook.h>
+#include <wx/listctrl.h>
 #include <wx/combobox.h>
 #include <wx/checkbox.h>
 #include <wx/checklst.h>
Index: src/src/app.cpp
===================================================================
--- src/src/app.cpp	(revision 1964)
+++ src/src/app.cpp	(arbetskopia)
@@ -636,6 +636,9 @@
     GetModuleFileName(0L, name, MAX_PATH);
     wxFileName fname(name);
     base = fname.GetPath(wxPATH_GET_VOLUME);
+#elif defined(__WXMAC__)
+	// TODO: get the path
+	base = _T(".");
 #else
     if (!m_Prefix.IsEmpty())
         return m_Prefix;
Index: src/src/compilersettingsdlg.cpp
===================================================================
--- src/src/compilersettingsdlg.cpp	(revision 1964)
+++ src/src/compilersettingsdlg.cpp	(arbetskopia)
@@ -18,6 +18,7 @@
 #include <cbplugin.h>
 #include <wx/intl.h>
 #include <wx/listbook.h>
+#include <wx/listctrl.h>
 
 #include "compilersettingsdlg.h"
 #include "appglobals.h"
